> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/deals/add-partner-on-a-deal.md).

# Add partner on a deal

Adding a partner with a specific role on a deal will make the deal available for the partner on his partner portal.

Use the `isSource` property to define whether the partner is also the source of the deal or not. If true, the partner is defined is defined as the source of the deal, no matter what the previous source was.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Api","DealPartnerRole.Create"]}],"components":{"securitySchemes":{},"schemas":{"DealAddPartnerRoleRequestDto":{"type":"object","properties":{"dealId":{"type":"integer","format":"int32"},"partnerId":{"type":"integer","format":"int32"},"partnerTypeId":{"type":"integer","format":"int32"},"isSource":{"type":"boolean"},"useDefaultRewards":{"type":"boolean"}},"additionalProperties":false},"DealPartnerRoleDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"dealId":{"type":"integer","format":"int32"},"userPartnerOwnerId":{"type":"integer","format":"int32","nullable":true},"userPartnerOwnerName":{"type":"string","nullable":true},"userPartnerFirstName":{"type":"string","nullable":true},"userPartnerLastName":{"type":"string","nullable":true},"userPartnerEmail":{"type":"string","nullable":true},"userPartnerJobTitle":{"type":"string","nullable":true},"userPartnerPhoneNumber":{"type":"string","nullable":true},"userPartnerLinkedInProfileUrl":{"type":"string","nullable":true},"partnerId":{"type":"integer","format":"int32"},"partnerTypeId":{"type":"integer","format":"int32","nullable":true},"creationDate":{"type":"string","format":"date-time"},"partnerName":{"type":"string","nullable":true},"partnerTypeName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/v3/deals/{dealId}/partners":{"post":{"tags":["Deals"],"summary":"Add partner on a deal","description":"Adding a partner with a specific role on a deal will make the deal available for the partner on his partner portal.\r\n            \r\nUse the `isSource` property to define whether the partner is also the source of the deal or not. If true, the partner is defined is defined as the source of the deal, no\r\nmatter what the previous source was.","parameters":[{"name":"dealId","in":"path","description":"The existing deal ID to add the partner on.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DealAddPartnerRoleRequestDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/DealAddPartnerRoleRequestDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/DealAddPartnerRoleRequestDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DealAddPartnerRoleRequestDto"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealPartnerRoleDto"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/deals/add-partner-on-a-deal.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
